Package org.apache.sling.discovery.impl.standalone

## Class NoClusterDiscoveryService

- java.lang.Object
- - org.apache.sling.discovery.impl.standalone.NoClusterDiscoveryService

All Implemented Interfaces:
  `org.apache.sling.discovery.DiscoveryService`

    public class NoClusterDiscoveryService
    extends Object
    implements org.apache.sling.discovery.DiscoveryService

This is a simple implementation of the discovery service which can be used for a cluster less installation (= single instance).

### Constructor Summary

Constructors
`NoClusterDiscoveryService​(org.apache.sling.settings.SlingSettingsService slingSettingsService, Config config)` Activate this service Create a new description.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `deactivate()` Deactivate this service.
`org.apache.sling.discovery.TopologyView` `getTopology()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoClusterDiscoveryService

    public NoClusterDiscoveryService​(org.apache.sling.settings.SlingSettingsService slingSettingsService,
                                     Config config)

Activate this service Create a new description.

### Method Detail

#### deactivate

    protected void deactivate()

Deactivate this service.

#### getTopology

    public org.apache.sling.discovery.TopologyView getTopology()

Specified by:
  `getTopology` in interface `org.apache.sling.discovery.DiscoveryService`
See Also:
  `DiscoveryService.getTopology()`